# FoundationClasses
TKAdvTools
Materials

# Materials_MaterialsSequence Class Reference

`#include <Materials_MaterialsSequence.hxx>`

Inheritance diagram for Materials_MaterialsSequence:

[legend]

## Public Member Functions

| Materials_MaterialsSequence ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Handle(Materials_Material)&anItem)
Standard_EXPORT void | Append (const Handle(Materials_MaterialsSequence)&aSequence)
Standard_EXPORT void | Prepend (const Handle(Materials_Material)&anItem)
Standard_EXPORT void | Prepend (const Handle(Materials_MaterialsSequence)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(Materials_Material)&anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(Materials_MaterialsSequence)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(Materials_Material)&anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(Materials_MaterialsSequence)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_Materials_MaterialsSequence | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Handle(Materials_Material)&anItem)
Standard_EXPORT const Handle_Materials_Material & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Handle_Materials_Material & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const Materials_MtsSequence & | Sequence () const
Materials_MtsSequence & | ChangeSequence ()
Standard_EXPORT Handle_Materials_MaterialsSequence | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Materials_MtsSequence | mySequence

## Constructor & Destructor Documentation

Materials_MaterialsSequence::Materials_MaterialsSequence | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void Materials_MaterialsSequence::Append | ( | const Handle(Materials_MaterialsSequence)& | aSequence | ) |

Standard_EXPORT void Materials_MaterialsSequence::Append | ( | const Handle(Materials_Material)& | anItem | ) |

Materials_MtsSequence& Materials_MaterialsSequence::ChangeSequence | ( |  | ) |

Standard_EXPORT Handle_Materials_Material& Materials_MaterialsSequence::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void Materials_MaterialsSequence::Clear | ( |  | ) |

Standard_EXPORT void Materials_MaterialsSequence::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const Materials_MaterialsSequence::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT void Materials_MaterialsSequence::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(Materials_MaterialsSequence)& | aSequence
| ) |

Standard_EXPORT void Materials_MaterialsSequence::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(Materials_Material)& | anItem
| ) |

Standard_EXPORT void Materials_MaterialsSequence::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(Materials_MaterialsSequence)& | aSequence
| ) |

Standard_EXPORT void Materials_MaterialsSequence::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(Materials_Material)& | anItem
| ) |

Standard_Boolean Materials_MaterialsSequence::IsEmpty | ( |  | ) | const

Standard_Integer Materials_MaterialsSequence::Length | ( |  | ) | const

Standard_EXPORT void Materials_MaterialsSequence::Prepend | ( | const Handle(Materials_MaterialsSequence)& | aSequence | ) |

Standard_EXPORT void Materials_MaterialsSequence::Prepend | ( | const Handle(Materials_Material)& | anItem | ) |

Standard_EXPORT void Materials_MaterialsSequence::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void Materials_MaterialsSequence::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void Materials_MaterialsSequence::Reverse | ( |  | ) |

const Materials_MtsSequence& Materials_MaterialsSequence::Sequence | ( |  | ) | const

Standard_EXPORT void Materials_MaterialsSequence::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle(Materials_Material)& | anItem
| ) |

Standard_EXPORT Handle_Materials_MaterialsSequence Materials_MaterialsSequence::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_Materials_MaterialsSequence Materials_MaterialsSequence::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Handle_Materials_Material& Materials_MaterialsSequence::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

Materials_MtsSequence Materials_MaterialsSequence::mySequence `[private]`

The documentation for this class was generated from the following file:

- Materials_MaterialsSequence.hxx